//
//  needlework8ViewController.h
//  needlework8
//
//  Created by patrick.voelcker on 02.12.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>

@interface needlework8ViewController : UIViewController {
	UIView *main;
	
	UIView *canvas;
	
	UIView *colorPicker;
		UIImageView *palette;
		UIView *paletteCurrentColor;
		UIImageView *paletteColorMarker;
	
	NSMutableArray *pixel;
	UIColor *currentColor;
	UIColor *tempColor;

	// Icons
	UIButton *icon_3d;
	UIButton *icon_floodfill;
	UIButton *icon_textur;
	UIButton *icon_draw;
	UIButton *icon_line;
	UIButton *icon_outline;
	UIButton *icon_erase;
	UIButton *icon_erase_all;
	
	CGPoint alt;
	
	int paintMode;
	int lastPaintMode;
	int width;
	int height;
	
	double dragX;
	double dragY;
	double lastScale;
	
	double scale;
	double zoom;

	int colR;
	int colG;
	int colB;
	
	int paletteColMarker;
	
	int threads;
	
	NSMutableArray *maske;
	
	NSMutableArray *back;
	
}

@property (nonatomic, strong) UIView *main;

@property (nonatomic, strong) UIView *canvas;

@property (nonatomic, strong) UIView *colorPicker;
@property (nonatomic, strong) UIImageView *palette;
@property (nonatomic, strong) UIImageView *paletteColorMarker;
@property (nonatomic, strong) UIView *paletteCurrentColor;

// Icons
@property (nonatomic, strong) UIButton *icon_3d;
@property (nonatomic, strong) UIButton *icon_floodfill;
@property (nonatomic, strong) UIButton *icon_textur;
@property (nonatomic, strong) UIButton *icon_draw;
@property (nonatomic, strong) UIButton *icon_line;
@property (nonatomic, strong) UIButton *icon_outline;
@property (nonatomic, strong) UIButton *icon_erase;
@property (nonatomic, strong) UIButton *icon_erase_all;


@property (nonatomic, strong) NSMutableArray *pixel;
@property (nonatomic, strong) UIColor *currentColor;
@property (nonatomic, strong) UIColor *tempColor;
@property (nonatomic) CGPoint alt;
@property (nonatomic, strong) NSMutableArray *maske;

@property (nonatomic, strong) NSMutableArray *back;

@end

